#
# this test from Christopher Jenkins, looking for bad binds in Oracle 9i
# 
# 

import DCOracle2
import common

db = DCOracle2.connect(common.getConnectionString())
c = db.cursor()

try:
    c.execute('drop table stest')
except DCOracle2.DatabaseError: pass

c.execute('create table stest (s char(10))')

l1 = [(None,),("hello",),(None,)]
l2 = [("",),("hello",),("",)]

stmt = "insert into stest values(:1)"

c.executemany(stmt, l1)
c.executemany(stmt, l2)

c.execute('select * from stest')
print c.fetchall()
