
import DCOracle2
import time
import common


DCOracle2.registerDateConversion(lambda x: ".date(%s)." % x)

db = DCOracle2.connect(common.getConnectionString())

#r = sys.stdin.read()

c = db.cursor()

try:
    c.execute("drop table datetest")
except DCOracle2.DatabaseError:
    pass

c.execute("create table datetest (id integer, stamp date)")

now = DCOracle2.DateFromTicks(time.time())

c.execute("insert into datetest(id, stamp) values(:1, :2)", 1, now)

db.commit()

c.execute("select * from datetest where id=1")

r = c.fetchone()

saved = r[1]

print "Well: %s vs %s" % (now, saved)

