-- SQL Stored procedure

drop package EMP_ACTIONS;

create package EMP_ACTIONS as
	function FIND (
		EMPID integer
	) return varchar2;

	procedure FINDP (
		EMPID in integer,
		EMPNAME out varchar2
	); 

	procedure FINDY (
		EMPID in integer,
		EMPNAME out varchar2,
		EJOB in out varchar2
	); 
end EMP_ACTIONS;
/

show errors;
create package body EMP_ACTIONS as

	function FIND (
		EMPID integer
	) return varchar2 is EMPNAME varchar2(64);
	begin
		select ENAME into EMPNAME from EMP where EMPNO = EMPID;
		return EMPNAME;
	end FIND;

	procedure FINDP (
		EMPID in integer,
		EMPNAME out varchar2
	) is
	begin
		select ENAME into EMPNAME from EMP where EMPNO = EMPID;
	end FINDP;

	procedure FINDY (
		EMPID in integer,
		EMPNAME out varchar2,
		EJOB in out varchar2
	) is
	begin
	
		select ENAME, JOB  into EMPNAME, EJOB
		from EMP where EMPNO = EMPID;
	end FINDY;

end EMP_ACTIONS;
/

show errors;

